package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

	url := "{{ api_server_url }}/data/locate/{namespace}/{name}?ip_address=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE&colocated_services=SOME_STRING_VALUE"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer REPLACE_BEARER_TOKEN")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}